6.0.0-git
2019-04-25

[#8330] Spell check problem
Summary Spell check problem
Queue IMP
Queue Version 4.3.4
Type Bug
State Resolved
Priority 1. Low
Owners Horde Developers (at) , slusarz (at) horde (dot) org
Requester mtecles (at) biof (dot) ufrj (dot) br
Created 2009-06-08 (3608 days ago)
Due 06/08/2009 (3608 days ago)
Updated 2010-01-13 (3389 days ago)
Assigned 2009-06-09 (3607 days ago)
Resolved 2009-06-22 (3594 days ago)
Milestone
Patch No

History
2009-06-22 04:05:57 Michael Slusarz Comment #2
State ⇒ Resolved
Reply to this comment
This was fixed long ago in the HTML mode - I just failed to recognize 
the issue also occurs in text-only mode if the words name, class, or 
incorrect appear in a non-English spellcheck after the first match.   
This is because those words will be matched inside the previously 
inserted HTML tags, and additional HTML tags will be inserted in the 
exisiting HTML tags.  This has been fixed for text mode in 4.3.5.
2009-06-09 09:28:36 Jan Schneider Assigned to Michael Slusarz
Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
 
2009-06-08 12:48:49 mtecles (at) biof (dot) ufrj (dot) br Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Spell check problem
Due ⇒ 2009-06-08
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Starting a new message with IMP, spell checking (aspell) works fine (Spanish,

Italian, French, Brazilian Portuguese, American English) either on

text edition or on HTML editor.



However, if the body (including signature) contains "skype name", 
using text mode editor (Internet Explorer or Firefox), spell check 
works only in English, any other language results in an error that 
modifies the text of the message

until the line with "skype name". I have it tested after having 
excluded cookies and temporary files.



Example of message text:



This is a test.

skype name



Results in the following text after spell check in Portuguese:



name="incorrect" class="incorrect">This name="incorrect" 
class="incorrect">is a name="incorrect" class="incorrect">test.

name="incorrect" class="incorrect">skype name



Or in this one if in French:



name="incorrect" class="incorrect">This name="incorrect" 
class="incorrect">is a test.

name="incorrect" class="incorrect">skype name



Text of the message:

skype name

This is a test.



Results in the following text after spell check in Portuguese:

name="incorrect" class="incorrect">skype name

This is a test.



I have tested aspell command line with a file containing "skype name", 
which worked fine (English and Portuguese).



I am using Debian 5 (lenny), aspell (0.60.6-1), PHP Version 
5.2.6-1+lenny3, Horde 3.3.4, IMP 4.3.4.

There is no error if using HTML editor (Xinha), spell check works.



Thank you,

Mauricio


Saved Queries